Bug 425846 - zsh completion is broken for vim
zsh completion is broken for vim
Product: Fedora
Classification: Fedora
Component: zsh (Show other bugs)
x86_64 Linux
low Severity low
: ---
: ---
Assigned To: James Antill
Fedora Extras Quality Assurance
: Reopened
Depends On:
  Show dependency treegraph
Reported: 2007-12-16 10:49 EST by Suchandra Thapa
Modified: 2007-12-29 00:02 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2007-12-29 00:02:27 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Suchandra Thapa 2007-12-16 10:49:56 EST
Description of problem:
Autocompletion of zsh with vim is broken. The zsh compinit system returns an
error when trying to autocomplete file or directory names for vim invocations. 
Although the bug is fairly minor, it is really annoying.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. open zsh shell
2. run autoload -U compinit
3. run compinit
4. type  'vi a' and then hit tab to complete the filename 
5. you'll get the following error :
_arguments:439: _vim_files: function definition file not found
Actual results:
Get _arguments:439: _vim_files: function definition file not found

Expected results:
Should get autocompletion of file or directory instead

Additional info:
This doesn't occur if vi is specified as /bin/vi
Comment 1 James Antill 2007-12-17 08:39:14 EST
 I can't reproduce this with "zsh -f" so my guess is that you have something in
~/.zshrc that is causing this ... try searching for zstyle?
Comment 2 Suchandra Thapa 2007-12-17 09:55:34 EST
I also get that but when zsh -f is run, vi is set to point to /bin/vi .  If you
alias vi to /usr/bin/vim so that you can get syntax highlighting and other
features of vim-enhanced the error will reappear.  E.g.

[XXXX@test ~]\$ zsh -f   
test% autoload -U compinit
test% compinit
test% which vi
test% alias vi=/usr/bin/vim
test% vi ~/.fh
_arguments:439: _vim_files: function definition file not found
Comment 3 James Antill 2007-12-17 10:22:39 EST
 I just tried the exact above sequence and I don't see the error.
 Do you have the file: /usr/share/zsh/4.3.4/functions/_vim ?
Comment 4 Suchandra Thapa 2007-12-20 10:08:33 EST
The problem was in the .zcompdump in my account's home directory.  After
deleting the file, the error went away.  Unfortunately, I didn't back up the
file before deleting it so I'm not sure what was going wrong in there.

Note You need to log in before you can comment on or make changes to this bug.